%define prerel beta3
%define _name lineak
%def_disable static

Name: %{_name}d
Version: 0.8
Release: alt0.8%prerel

Summary: A program to use the special keys on multimedia keyboards
Summary(ru_RU.KOI8-R):    
Group: System/Configuration/Other
License: GPL
Url: http://lineak.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/lineak/%name-%version%prerel.tar.gz

Requires: lib%_name = %version-%release

%define lineakconfig_ver 0.3.2
Conflicts: lineakconfig <= %lineakconfig_ver

BuildPreReq: help2man
BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Thu Apr 29 2004
BuildRequires: XFree86-devel-static XFree86-libs gcc-c++ libstdc++-devel

%description
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides lineakd is a daemon that configures the X keyboard
map and listens for incoming events.

%description -l ru_RU.KOI8-R
%name      -  
-    X-Window.

%package -n lib%_name
Summary: Shared library for lineakd
Group: System/Libraries

%description -n lib%_name
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides shared library required for lineakd to work.

%package -n lib%_name-devel
Summary: LinEAK development files
Group: Development/C++
Requires: lib%_name = %version-%release

%description -n lib%_name-devel
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides headers and libraries needed to develop plugins
for lineakd.

%prep
%setup -q -n %name-%version%prerel
%__subst 's,\(lineakd\.1\)\.gz,\1,g' lineakd/Makefile*
%__subst 's,
,,g 
	 /^$\|[[:blank:]]$/d' lineakd/lineakkb.def

%build
%configure --disable-warnings \
    %{subst_enable static}

%make_build

%install
%makeinstall

# build actual man page.
export LD_LIBRARY_PATH=lineak/.libs
help2man -N --name="is a daemon that configures the X keyboard map and listens for incoming events" \
--manual="Linux Easy Access Keyboard" \
%name/%name > %buildroot%_man1dir/%name.1

# and fix it :)
%__subst 's,INCORRECT,LINEAKD,
	  s,Incorrect arguments,%name-%version%prerel,
	  s,Incorrect,%name,
	  s,lt-\(lineakd\),\1,' %buildroot%_man1dir/%name.1

%find_lang %name

%post -n lib%_name -p %post_ldconfig
%postun -n lib%_name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_man1dir/*
%config %_sysconfdir/*
%doc AUTHORS README ChangeLog TODO

%files -n lib%_name
%dir %_libdir/%name/plugins
%_libdir/*.so.*

%files -n lib%_name-devel
%_includedir/*
%_libdir/*.so

%changelog
* Fri Jun 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.8beta3
- fix lineakkb.def (close #4381).

* Thu Apr 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.7beta3
- 0.8beta3

* Fri Mar 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.6beta2
- 0.8beta2.

* Sat Jan 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8-alt0.5beta1
- 0.8beta1.

* Wed Feb 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt1
- new version.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.5-alt2
- Rebuild.

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.5-alt1
- bugfix release. 

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.3-alt1
- 0.3.3 (54 kbds). 
- no more pid file.
- incompatible with lineakconfig <= 0.3

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- BTC9000A included.
- 50 keyboards supported.

* Tue May 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1.1
- BTC9000A definition added. 

* Mon May 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1 (46 keyboards). Chicony MK9885 included.

* Wed May 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt2
- %name-0.2-chmk9885.patch (my keyboard support)

* Tue Mar 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2-alt1
- First build for Sisyphus.
